Loading...
Searching...
No Matches
QGpgME::QGpgMEBackend Class Reference

## Public Member Functions

QString | name () const
QString | displayName () const
CryptoConfig * | config () const
GpgCardJob * | gpgCardJob () const
Protocol * | openpgp () const
Protocol * | smime () const
Protocol * | protocol (const char *name) const
bool | checkForOpenPGP (QString *reason=nullptr) const
bool | checkForSMIME (QString *reason=nullptr) const
bool | checkForProtocol (const char *name, QString *reason) const
bool | supportsOpenPGP () const
bool | supportsSMIME () const
bool | supportsProtocol (const char *name) const
const char * | enumerateProtocols (int i) const

## Static Public Attributes

static const char | OpenPGP [] = "OpenPGP"
static const char | SMIME [] = "SMIME"

The documentation for this class was generated from the following files:

- qgpgmebackend.h
- qgpgmebackend.cpp